strange build error when building documentation


Boie, Andrew P
 

I'm getting a strange build error when I try to build documentation in the Zephyr master branch. Has anyone ever seen this before? This is an up-to-date Fedora 25 machine.

 

apboie@apboie-mobl1:/projects/zephyr/doc master /projects/zephyr

$ make htmldocs

doxygen zephyr.doxyfile

scripts/extract_content.py

srctree=../ SRCARCH=x86 python scripts/genrest/genrest.py ../Kconfig reference/kconfig/

../Kconfig.zephyr:11: warning: The symbol KERNELVERSION references the non-existent environment variable KERNELVERSION and will get the empty string as its value. If you're using Kconfiglib via 'make (i)scriptconfig', it should have set up the environment correctly for you. If you still got this message, that might be an error, and you should email ulfalizer a.t Google's email service.

sphinx-build -t development -b html -d _build/doctrees  -q . _build/html

 

Exception occurred:

  File "/usr/lib/python2.7/site-packages/breathe/renderer/compound.py", line 410, in update_signature

    signode.children[1][0] = self.node_factory.strong(text="[anonymous]")

IndexError: list index out of range

The full traceback has been saved in /tmp/sphinx-err-ybwcan.log, if you want to report the issue to the developers.

Please also report this if it was a user error, so that a better error message can be provided next time.

A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!

Makefile:82: recipe for target 'html' failed

make: *** [html] Error 1

 


Perez-Gonzalez, Inaky <inaky.perez-gonzalez@...>
 

I see it too

Please file a bug and assign to David Kinder -- he can do more research on it.


From: zephyr-devel-bounces@... [zephyr-devel-bounces@...] on behalf of Boie, Andrew P [andrew.p.boie@...]
Sent: Wednesday, May 24, 2017 12:01 PM
To: Zephyr Devel
Subject: [Zephyr-devel] strange build error when building documentation

I'm getting a strange build error when I try to build documentation in the Zephyr master branch. Has anyone ever seen this before? This is an up-to-date Fedora 25 machine.

 

apboie@apboie-mobl1:/projects/zephyr/doc master /projects/zephyr

$ make htmldocs

doxygen zephyr.doxyfile

scripts/extract_content.py

srctree=../ SRCARCH=x86 python scripts/genrest/genrest.py ../Kconfig reference/kconfig/

../Kconfig.zephyr:11: warning: The symbol KERNELVERSION references the non-existent environment variable KERNELVERSION and will get the empty string as its value. If you're using Kconfiglib via 'make (i)scriptconfig', it should have set up the environment correctly for you. If you still got this message, that might be an error, and you should email ulfalizer a.t Google's email service.

sphinx-build -t development -b html -d _build/doctrees  -q . _build/html

 

Exception occurred:

  File "/usr/lib/python2.7/site-packages/breathe/renderer/compound.py", line 410, in update_signature

    signode.children[1][0] = self.node_factory.strong(text="[anonymous]")

IndexError: list index out of range

The full traceback has been saved in /tmp/sphinx-err-ybwcan.log, if you want to report the issue to the developers.

Please also report this if it was a user error, so that a better error message can be provided next time.

A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!

Makefile:82: recipe for target 'html' failed

make: *** [html] Error 1

 


Perez-Gonzalez, Inaky <inaky.perez-gonzalez@...>
 


From: zephyr-devel-bounces@... [zephyr-devel-bounces@...] on behalf of Boie, Andrew P [andrew.p.boie@...]
Sent: Wednesday, May 24, 2017 12:01 PM
To: Zephyr Devel
Subject: [Zephyr-devel] strange build error when building documentation

I'm getting a strange build error when I try to build documentation in the Zephyr master branch. Has anyone ever seen this before? This is an up-to-date Fedora 25 machine.

 

apboie@apboie-mobl1:/projects/zephyr/doc master /projects/zephyr

$ make htmldocs

doxygen zephyr.doxyfile

scripts/extract_content.py

srctree=../ SRCARCH=x86 python scripts/genrest/genrest.py ../Kconfig reference/kconfig/

../Kconfig.zephyr:11: warning: The symbol KERNELVERSION references the non-existent environment variable KERNELVERSION and will get the empty string as its value. If you're using Kconfiglib via 'make (i)scriptconfig', it should have set up the environment correctly for you. If you still got this message, that might be an error, and you should email ulfalizer a.t Google's email service.

sphinx-build -t development -b html -d _build/doctrees  -q . _build/html

 

Exception occurred:

  File "/usr/lib/python2.7/site-packages/breathe/renderer/compound.py", line 410, in update_signature

    signode.children[1][0] = self.node_factory.strong(text="[anonymous]")

IndexError: list index out of range

The full traceback has been saved in /tmp/sphinx-err-ybwcan.log, if you want to report the issue to the developers.

Please also report this if it was a user error, so that a better error message can be provided next time.

A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!

Makefile:82: recipe for target 'html' failed

make: *** [html] Error 1

 


Kinder, David B <david.b.kinder@...>
 

Our documentation processing has been tested to run with:

 

Doxygen version 1.8.10 (and 1.8.11)

Sphinx version 1.4.4 (but not with 1.5.1)

Breathe version 4.4.0

docutils version 0.12 (0.13 has issues with Sphinx 1.4.4)

 

If you do the default install of these tools you’ll likely end up using Sphinx 1.6.1 and docutils 0.13.1 and there are known issues with that working with doxygen and breathe (used to generate the API documentation from the sources.)  For now, please downgrade to the specific versions listed above.

 

The documentation build setup is described in doc/README.rst (or https://www.zephyrproject.org/doc/README.html to read the rendered version)

 

-- david

 

From: zephyr-devel-bounces@... [mailto:zephyr-devel-bounces@...] On Behalf Of Perez-Gonzalez, Inaky
Sent: Wednesday, May 24, 2017 12:09 PM
To: Boie, Andrew P <andrew.p.boie@...>; Zephyr Devel <devel@...>
Subject: Re: [Zephyr-devel] strange build error when building documentation

 


From: zephyr-devel-bounces@... [zephyr-devel-bounces@...] on behalf of Boie, Andrew P [andrew.p.boie@...]
Sent: Wednesday, May 24, 2017 12:01 PM
To: Zephyr Devel
Subject: [Zephyr-devel] strange build error when building documentation

I'm getting a strange build error when I try to build documentation in the Zephyr master branch. Has anyone ever seen this before? This is an up-to-date Fedora 25 machine.

 

apboie@apboie-mobl1:/projects/zephyr/doc master /projects/zephyr

$ make htmldocs

doxygen zephyr.doxyfile

scripts/extract_content.py

srctree=../ SRCARCH=x86 python scripts/genrest/genrest.py ../Kconfig reference/kconfig/

../Kconfig.zephyr:11: warning: The symbol KERNELVERSION references the non-existent environment variable KERNELVERSION and will get the empty string as its value. If you're using Kconfiglib via 'make (i)scriptconfig', it should have set up the environment correctly for you. If you still got this message, that might be an error, and you should email ulfalizer a.t Google's email service.

sphinx-build -t development -b html -d _build/doctrees  -q . _build/html

 

Exception occurred:

  File "/usr/lib/python2.7/site-packages/breathe/renderer/compound.py", line 410, in update_signature

    signode.children[1][0] = self.node_factory.strong(text="[anonymous]")

IndexError: list index out of range

The full traceback has been saved in /tmp/sphinx-err-ybwcan.log, if you want to report the issue to the developers.

Please also report this if it was a user error, so that a better error message can be provided next time.

A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!

Makefile:82: recipe for target 'html' failed

make: *** [html] Error 1

 


Nashif, Anas
 

You need:

# pip install sphinx==1.5.5

Regards,
Anas Nashif 

On May 24, 2017, at 12:49, Kinder, David B <david.b.kinder@...> wrote:

Our documentation processing has been tested to run with:

 

Doxygen version 1.8.10 (and 1.8.11)

Sphinx version 1.4.4 (but not with 1.5.1)

Breathe version 4.4.0

docutils version 0.12 (0.13 has issues with Sphinx 1.4.4)

 

If you do the default install of these tools you’ll likely end up using Sphinx 1.6.1 and docutils 0.13.1 and there are known issues with that working with doxygen and breathe (used to generate the API documentation from the sources.)  For now, please downgrade to the specific versions listed above.

 

The documentation build setup is described in doc/README.rst (or https://www.zephyrproject.org/doc/README.html to read the rendered version)

 

-- david

 

From: zephyr-devel-bounces@... [mailto:zephyr-devel-bounces@...] On Behalf Of Perez-Gonzalez, Inaky
Sent: Wednesday, May 24, 2017 12:09 PM
To: Boie, Andrew P <andrew.p.boie@...>; Zephyr Devel <devel@...>
Subject: Re: [Zephyr-devel] strange build error when building documentation

 


From: zephyr-devel-bounces@... [zephyr-devel-bounces@...] on behalf of Boie, Andrew P [andrew.p.boie@...]
Sent: Wednesday, May 24, 2017 12:01 PM
To: Zephyr Devel
Subject: [Zephyr-devel] strange build error when building documentation

I'm getting a strange build error when I try to build documentation in the Zephyr master branch. Has anyone ever seen this before? This is an up-to-date Fedora 25 machine.

 

apboie@apboie-mobl1:/projects/zephyr/doc master /projects/zephyr

$ make htmldocs

doxygen zephyr.doxyfile

scripts/extract_content.py

srctree=../ SRCARCH=x86 python scripts/genrest/genrest.py ../Kconfig reference/kconfig/

../Kconfig.zephyr:11: warning: The symbol KERNELVERSION references the non-existent environment variable KERNELVERSION and will get the empty string as its value. If you're using Kconfiglib via 'make (i)scriptconfig', it should have set up the environment correctly for you. If you still got this message, that might be an error, and you should email ulfalizer a.t Google's email service.

sphinx-build -t development -b html -d _build/doctrees  -q . _build/html

 

Exception occurred:

  File "/usr/lib/python2.7/site-packages/breathe/renderer/compound.py", line 410, in update_signature

    signode.children[1][0] = self.node_factory.strong(text="[anonymous]")

IndexError: list index out of range

The full traceback has been saved in /tmp/sphinx-err-ybwcan.log, if you want to report the issue to the developers.

Please also report this if it was a user error, so that a better error message can be provided next time.

A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!

Makefile:82: recipe for target 'html' failed

make: *** [html] Error 1

 

_______________________________________________
Zephyr-devel mailing list
Zephyr-devel@...
https://lists.zephyrproject.org/mailman/listinfo/zephyr-devel


Boie, Andrew P
 

Can we put this stuff in the SDK then?

 

From: Nashif, Anas
Sent: Wednesday, May 24, 2017 1:34 PM
To: Kinder, David B <david.b.kinder@...>
Cc: Perez-Gonzalez, Inaky <inaky.perez-gonzalez@...>; Boie, Andrew P <andrew.p.boie@...>; Zephyr Devel <devel@...>
Subject: Re: [Zephyr-devel] strange build error when building documentation

 

You need:

 

# pip install sphinx==1.5.5

Regards,

Anas Nashif 


On May 24, 2017, at 12:49, Kinder, David B <david.b.kinder@...> wrote:

Our documentation processing has been tested to run with:

 

Doxygen version 1.8.10 (and 1.8.11)

Sphinx version 1.4.4 (but not with 1.5.1)

Breathe version 4.4.0

docutils version 0.12 (0.13 has issues with Sphinx 1.4.4)

 

If you do the default install of these tools you’ll likely end up using Sphinx 1.6.1 and docutils 0.13.1 and there are known issues with that working with doxygen and breathe (used to generate the API documentation from the sources.)  For now, please downgrade to the specific versions listed above.

 

The documentation build setup is described in doc/README.rst (or https://www.zephyrproject.org/doc/README.html to read the rendered version)

 

-- david

 

From: zephyr-devel-bounces@... [mailto:zephyr-devel-bounces@...] On Behalf Of Perez-Gonzalez, Inaky
Sent: Wednesday, May 24, 2017 12:09 PM
To: Boie, Andrew P <andrew.p.boie@...>; Zephyr Devel <devel@...>
Subject: Re: [Zephyr-devel] strange build error when building documentation

 


From: zephyr-devel-bounces@... [zephyr-devel-bounces@...] on behalf of Boie, Andrew P [andrew.p.boie@...]
Sent: Wednesday, May 24, 2017 12:01 PM
To: Zephyr Devel
Subject: [Zephyr-devel] strange build error when building documentation

I'm getting a strange build error when I try to build documentation in the Zephyr master branch. Has anyone ever seen this before? This is an up-to-date Fedora 25 machine.

 

apboie@apboie-mobl1:/projects/zephyr/doc master /projects/zephyr

$ make htmldocs

doxygen zephyr.doxyfile

scripts/extract_content.py

srctree=../ SRCARCH=x86 python scripts/genrest/genrest.py ../Kconfig reference/kconfig/

../Kconfig.zephyr:11: warning: The symbol KERNELVERSION references the non-existent environment variable KERNELVERSION and will get the empty string as its value. If you're using Kconfiglib via 'make (i)scriptconfig', it should have set up the environment correctly for you. If you still got this message, that might be an error, and you should email ulfalizer a.t Google's email service.

sphinx-build -t development -b html -d _build/doctrees  -q . _build/html

 

Exception occurred:

  File "/usr/lib/python2.7/site-packages/breathe/renderer/compound.py", line 410, in update_signature

    signode.children[1][0] = self.node_factory.strong(text="[anonymous]")

IndexError: list index out of range

The full traceback has been saved in /tmp/sphinx-err-ybwcan.log, if you want to report the issue to the developers.

Please also report this if it was a user error, so that a better error message can be provided next time.

A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!

Makefile:82: recipe for target 'html' failed

make: *** [html] Error 1

 

_______________________________________________
Zephyr-devel mailing list
Zephyr-devel@...
https://lists.zephyrproject.org/mailman/listinfo/zephyr-devel


Boie, Andrew P
 

Anas,

 

That works, thanks!

 

Andrew

 

From: Nashif, Anas
Sent: Wednesday, May 24, 2017 1:34 PM
To: Kinder, David B <david.b.kinder@...>
Cc: Perez-Gonzalez, Inaky <inaky.perez-gonzalez@...>; Boie, Andrew P <andrew.p.boie@...>; Zephyr Devel <devel@...>
Subject: Re: [Zephyr-devel] strange build error when building documentation

 

You need:

 

# pip install sphinx==1.5.5

Regards,

Anas Nashif 


On May 24, 2017, at 12:49, Kinder, David B <david.b.kinder@...> wrote:

Our documentation processing has been tested to run with:

 

Doxygen version 1.8.10 (and 1.8.11)

Sphinx version 1.4.4 (but not with 1.5.1)

Breathe version 4.4.0

docutils version 0.12 (0.13 has issues with Sphinx 1.4.4)

 

If you do the default install of these tools you’ll likely end up using Sphinx 1.6.1 and docutils 0.13.1 and there are known issues with that working with doxygen and breathe (used to generate the API documentation from the sources.)  For now, please downgrade to the specific versions listed above.

 

The documentation build setup is described in doc/README.rst (or https://www.zephyrproject.org/doc/README.html to read the rendered version)

 

-- david

 

From: zephyr-devel-bounces@... [mailto:zephyr-devel-bounces@...] On Behalf Of Perez-Gonzalez, Inaky
Sent: Wednesday, May 24, 2017 12:09 PM
To: Boie, Andrew P <andrew.p.boie@...>; Zephyr Devel <devel@...>
Subject: Re: [Zephyr-devel] strange build error when building documentation

 


From: zephyr-devel-bounces@... [zephyr-devel-bounces@...] on behalf of Boie, Andrew P [andrew.p.boie@...]
Sent: Wednesday, May 24, 2017 12:01 PM
To: Zephyr Devel
Subject: [Zephyr-devel] strange build error when building documentation

I'm getting a strange build error when I try to build documentation in the Zephyr master branch. Has anyone ever seen this before? This is an up-to-date Fedora 25 machine.

 

apboie@apboie-mobl1:/projects/zephyr/doc master /projects/zephyr

$ make htmldocs

doxygen zephyr.doxyfile

scripts/extract_content.py

srctree=../ SRCARCH=x86 python scripts/genrest/genrest.py ../Kconfig reference/kconfig/

../Kconfig.zephyr:11: warning: The symbol KERNELVERSION references the non-existent environment variable KERNELVERSION and will get the empty string as its value. If you're using Kconfiglib via 'make (i)scriptconfig', it should have set up the environment correctly for you. If you still got this message, that might be an error, and you should email ulfalizer a.t Google's email service.

sphinx-build -t development -b html -d _build/doctrees  -q . _build/html

 

Exception occurred:

  File "/usr/lib/python2.7/site-packages/breathe/renderer/compound.py", line 410, in update_signature

    signode.children[1][0] = self.node_factory.strong(text="[anonymous]")

IndexError: list index out of range

The full traceback has been saved in /tmp/sphinx-err-ybwcan.log, if you want to report the issue to the developers.

Please also report this if it was a user error, so that a better error message can be provided next time.

A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!

Makefile:82: recipe for target 'html' failed

make: *** [html] Error 1

 

_______________________________________________
Zephyr-devel mailing list
Zephyr-devel@...
https://lists.zephyrproject.org/mailman/listinfo/zephyr-devel


Paul Sokolovsky
 

Hello,

On Wed, 24 May 2017 20:56:07 +0000
"Boie, Andrew P" <andrew.p.boie@intel.com> wrote:

Can we put this stuff in the SDK then?
Actually, the only thing we should need is requirements.txt file for pip
and docs/README.rst updated to describe that building docs should
happen in virtualenv after "pip install -r requirements.txt".


From: Nashif, Anas
Sent: Wednesday, May 24, 2017 1:34 PM
To: Kinder, David B <david.b.kinder@intel.com>
Cc: Perez-Gonzalez, Inaky <inaky.perez-gonzalez@intel.com>; Boie,
Andrew P <andrew.p.boie@intel.com>; Zephyr Devel
<devel@lists.zephyrproject.org> Subject: Re: [Zephyr-devel] strange
build error when building documentation

You need:

# pip install sphinx==1.5.5

Regards,
Anas Nashif

On May 24, 2017, at 12:49, Kinder, David B
<david.b.kinder@intel.com<mailto:david.b.kinder@intel.com>> wrote:
Our documentation processing has been tested to run with:

Doxygen version 1.8.10 (and 1.8.11)
Sphinx version 1.4.4 (but not with 1.5.1)
Breathe version 4.4.0
docutils version 0.12 (0.13 has issues with Sphinx 1.4.4)

If you do the default install of these tools you'll likely end up
using Sphinx 1.6.1 and docutils 0.13.1 and there are known issues
with that working with doxygen and breathe (used to generate the API
documentation from the sources.) For now, please downgrade to the
specific versions listed above.

The documentation build setup is described in doc/README.rst (or
https://www.zephyrproject.org/doc/README.html to read the rendered
version)

-- david

From:
zephyr-devel-bounces@lists.zephyrproject.org<mailto:zephyr-devel-bounces@lists.zephyrproject.org>
[mailto:zephyr-devel-bounces@lists.zephyrproject.org] On Behalf Of
Perez-Gonzalez, Inaky Sent: Wednesday, May 24, 2017 12:09 PM To:
Boie, Andrew P
<andrew.p.boie@intel.com<mailto:andrew.p.boie@intel.com>>; Zephyr
Devel
<devel@lists.zephyrproject.org<mailto:devel@lists.zephyrproject.org>>
Subject: Re: [Zephyr-devel] strange build error when building
documentation

________________________________
From:
zephyr-devel-bounces@lists.zephyrproject.org<mailto:zephyr-devel-bounces@lists.zephyrproject.org>
[zephyr-devel-bounces@lists.zephyrproject.org<mailto:zephyr-devel-bounces@lists.zephyrproject.org>]
on behalf of Boie, Andrew P
[andrew.p.boie@intel.com<mailto:andrew.p.boie@intel.com>] Sent:
Wednesday, May 24, 2017 12:01 PM To: Zephyr Devel Subject:
[Zephyr-devel] strange build error when building documentation I'm
getting a strange build error when I try to build documentation in
the Zephyr master branch. Has anyone ever seen this before? This is
an up-to-date Fedora 25 machine.

apboie@apboie-mobl1:/projects/zephyr/doc master /projects/zephyr
$ make htmldocs
doxygen zephyr.doxyfile
scripts/extract_content.py
srctree=../ SRCARCH=x86 python scripts/genrest/genrest.py ../Kconfig
reference/kconfig/ ../Kconfig.zephyr:11: warning: The symbol
KERNELVERSION references the non-existent environment variable
KERNELVERSION and will get the empty string as its value. If you're
using Kconfiglib via 'make (i)scriptconfig', it should have set up
the environment correctly for you. If you still got this message,
that might be an error, and you should email ulfalizer a.t Google's
email service. sphinx-build -t development -b html -d
_build/doctrees -q . _build/html

Exception occurred:
File
"/usr/lib/python2.7/site-packages/breathe/renderer/compound.py", line
410, in update_signature signode.children[1][0] =
self.node_factory.strong(text="[anonymous]") IndexError: list index
out of range The full traceback has been saved
in /tmp/sphinx-err-ybwcan.log, if you want to report the issue to the
developers. Please also report this if it was a user error, so that a
better error message can be provided next time. A bug report can be
filed in the tracker at
<https://github.com/sphinx-doc/sphinx/issues>. Thanks! Makefile:82:
recipe for target 'html' failed make: *** [html] Error 1

_______________________________________________
Zephyr-devel mailing list
Zephyr-devel@lists.zephyrproject.org<mailto:Zephyr-devel@lists.zephyrproject.org>
https://lists.zephyrproject.org/mailman/listinfo/zephyr-devel


--
Best Regards,
Paul

Linaro.org | Open source software for ARM SoCs
Follow Linaro: http://www.facebook.com/pages/Linaro
http://twitter.com/#!/linaroorg - http://www.linaro.org/linaro-blog